---
- name: Ensure deploy to folder exists
  file:
    path: "{{ app_deploy_to_path }}"
    state: directory
    owner: "{{ app_user }}"
    group: "{{ app_group }}"
    mode: 0770

- name: Ensure shared folder exists
  file:
    path: "{{ app_shared_folder }}"
    state: directory
    owner: "{{ app_user }}"
    group: "{{ app_group }}"
    mode: 0770

- name: Set app root path permissions
  file:
    path: "{{ app_root_path }}"
    state: directory
    owner: "{{ app_user }}"
    group: "{{ app_group }}"
    recurse: true
    mode: 0770
